Subject: mysterious error message

From: "Tom Sgouros" <[email-masked]>
Date: Thu, 25 Sep 2008 17:33:38 -0400

Hello all:

I receive the following error message when I try to do a 'git push':

  tomfool@toms-box:hpl$ git push
  updating 'refs/heads/master'
    from ad4ae7925d3dd23798e7c5b733d2d8f930f7410f
    to   5b5f5fae014a4f3535fa10b0f6e28b4bf3225dc3
   Also local refs/remotes/origin/master
  Generating pack...
  Done counting 10 objects.
  Deltifying 10 objects...
  error: pack-objects died with strange error
  unpack eof before pack header was fully read
  ng refs/heads/master n/a (unpacker error)
  error: failed to push to 'ssh://[email-masked]/home/tomfool/hpl.git'
  tomfool@toms-box:hpl$

I haven't been able to interpret this message, and haven't found it in
the documentation, and google has let me down, too.  Can anyone tell me
what is causing it?

I'm a new git user, and this is a new git archive.  I've successfully
done a couple of git push operations before, though.  The connection I'm
making is via ssh.  I'm working on a Mac OS X (10.4.9) machine over here
and the server to which I'm trying to push is a Linux box
(2.6.22-gentoo-r6).

Many thanks,

 -tom

-- 
 ------------------------
 tomfool at as220 dot org
 http://sgouros.com  
 http://whatcheer.net